1. Orders
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Orders

Create Order

Deprecated
POST
/orders
Creates a new order, which can include mailboxes and domain purchases.

Domain and Mailbox Registration Request#

This endpoint allows you to register domains and mailboxes, set a billing cycle, and upload files associated with the user.

Request Body (FormData)#

domains#

Type: array
Description: A list of domain registration details.
Example:
[{ "domain": "onecompanycenter.com", "years": 1 }]
Fields:
domain (string): The name of the domain to register (e.g., onecompanycenter.com).
years (number): The number of years for which the domain should be registered (e.g., 1 year).
forwardTo (string): The destination to which the domain should be forwarded. (optional)
maskForwarding (boolean): Indicates whether forwarding should be masked. (optional)

mailboxes#

Type: object
Description: A mapping of domain names to mailbox details. Each domain can have multiple mailboxes.
Example:
{
  "onecompanycenter.com": [
    {
      "username": "john",
      "firstName": "john",
      "lastName": "doe"
    }
  ]
}
Fields:
username (string): The username of the mailbox (e.g., john).
firstName (string): The first name of the mailbox user (e.g., john).
lastName (string): The last name of the mailbox user (e.g., doe).

billingCycle#

Type: string
Description: The billing cycle for the domain registration and mailbox setup. Only the value MONTHLY is accepted.
Example: MONTHLY

files#

Type: object
Description: A mapping of mailboxes to files that need to be uploaded. The file should be associated with the specific mailbox. (key is username@domainName, value is the image)
Example:
{
  "john@onecompanycenter.com": <binary image>
}
Fields:
key: concatination of username & domaiName with @,
example: john@onecompanycenter.com
file (binary): A file associated with the mailbox (e.g., profile picture). The file is submitted as binary data.

confirm (optional)#

Type: boolean
Description: If true, automatically process the order. Please make sure to have enough balance in your wallet.

serviceProvider#

Type: string
Description: Represents the type of mailbox. Default is GOOGLE.
Example: GOOGLE or MICROSOFT

microsoftOauthRoute#

Type: string
Description: This is only for microsoft mailboxes to export them.

google#

Type: object
Fields:
googleOauthRoute (string): Google oauth url.
clientId (number): Client id of your platform.
appName (string): Appname that comes after entering client id on google admin console.

autoRenew (optional)#

Type: boolean
Description: Indicates whether order will be auto renewed or not.

Notes#

Please keep the order Id provided safe with you, it will be required to process the order afterwards.
Ensure all fields are included in the FormData when sending the request.
The files field must be provided as binary image data for the corresponding mailbox.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Header Params

Body Params multipart/form-data

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://customers.coldmailreseller.com/api/v1/integration/orders?userId=' \
--header 'cmr-x-api-key: <api-key>' \
--form 'domains="[{\"domain\":\"domain.com\",\"years\":1}]"' \
--form 'mailboxes="{  \"domain.com\": [    {      \"username\": \"email1\",      \"firstName\": \"john\",      \"lastName\": \"doe\"    },  {      \"username\": \"email2\",      \"firstName\": \"john\",      \"lastName\": \"doe\"    } ]}"' \
--form 'billingCycle="MONTHLY"' \
--form 'email1@domain.com=@""' \
--form 'email2@domain.com=@""' \
--form 'confirm=""' \
--form 'microsoftOauthRoute=""' \
--form 'google="{    \"googleOauthRoute\": \"\",    \"clientId\": \"\",    \"appName\": \"\"  }"' \
--form 'autoRenew=""'

Responses

🟢201Created
application/json
Body

Example
{
    "status": 201,
    "message": "Order created successfully",
    "data": {
        "orderId": "3BFTT324G0MKSYPV3FR2JQ3NFCAP"
    }
}
Modified at 2025-10-11 19:43:04
Previous
Process the Order
Next
Add mailboxes to a subscription
Built with